< Back
 

# Packages

-  package root
  Definition Classes
    root
-  package uk
  Definition Classes
    root
-  package gov
  Definition Classes
    uk
-  package hmrc
  Definition Classes
    gov
-  package wco
  Definition Classes
    hmrc
-  package dec
  Definition Classes
    wco
-  package inventorylinking
  Definition Classes
    dec
-  package movement
  Definition Classes
    inventorylinking
-  package response
  Definition Classes
    movement
- InventoryLinkingMovementResponse

c

uk.gov.hmrc.wco.dec.inventorylinking.movement.response

# InventoryLinkingMovementResponse 

###
Companion object InventoryLinkingMovementResponse

#### case class InventoryLinkingMovementResponse(messageCode: String, crcCode: Option[String] = None, goodsArrivalDateTime: Option[String] = None, goodsLocation: Option[String] = None, shedOPID: Option[String] = None, movementReference: Option[String] = None, submitRole: Option[String] = None, ucrBlock: Option[UcrBlock] = None, goodsItem: Option[GoodsItem] = None, entryStatus: Option[EntryStatus] = None) extends JacksonMapper with Product with Serializable

Annotations
  @JsonIgnoreProperties() @JacksonXmlRootElement()

Linear Supertypes
Serializable, Serializable, Product, Equals, JacksonMapper, AnyRef, Any
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. InventoryLinkingMovementResponse
2. Serializable
3. Serializable
4. Product
5. Equals
6. JacksonMapper
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new InventoryLinkingMovementResponse(messageCode: String, crcCode: Option[String] = None, goodsArrivalDateTime: Option[String] = None, goodsLocation: Option[String] = None, shedOPID: Option[String] = None, movementReference: Option[String] = None, submitRole: Option[String] = None, ucrBlock: Option[UcrBlock] = None, goodsItem: Option[GoodsItem] = None, entryStatus: Option[EntryStatus] = None)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  val _props: JavaPropsMapper
   Attributes
     protected
   Definition Classes
     JacksonMapper
5.  val _schema: JavaPropsSchema
   Attributes
     protected
   Definition Classes
     JacksonMapper
6.  val _xml: ObjectMapper
   Attributes
     protected
   Definition Classes
     JacksonMapper
7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @native() @throws( ... )
9.  val crcCode: Option[String]
10.  val entryStatus: Option[EntryStatus]
11.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
13.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  val goodsArrivalDateTime: Option[String]
15.  val goodsItem: Option[GoodsItem]
16.  val goodsLocation: Option[String]
17.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
18.  val messageCode: String
19.  val movementReference: Option[String]
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  val shedOPID: Option[String]
24.  val submitRole: Option[String]
25.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
26.  def toProperties: Map[String, String]
27.  def toXml: String
28.  val ucrBlock: Option[UcrBlock]
29.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
30.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
31.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @native() @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from JacksonMapper

### Inherited from AnyRef

### Inherited from Any

### Ungrouped